Bug 242113 - lang/php71: fix build on powerpc64 elfv2
Summary: lang/php71: fix build on powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-20 18:11 UTC by Piotr Kubaj
Modified: 2019-11-27 20:08 UTC (History)
1 user (show)

See Also:
tz: maintainer-feedback+


Attachments
patch (470 bytes, patch)
2019-11-20 18:11 UTC, Piotr Kubaj
tz: maintainer-approval+
Details | Diff
patch to lang/php7[123]/Makefile (2.61 KB, patch)
2019-11-21 07:24 UTC, Mark Linimon
tz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-20 18:11:23 UTC
Created attachment 209282 [details]
patch

DTRACE for now doesn't work on ELFv2, disable DTRACE on powerpc64 for now.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-21 07:24:25 UTC
Created attachment 209311 [details]
patch to lang/php7[123]/Makefile
Comment 2 Torsten Zuehlsdorff freebsd_committer 2019-11-27 14:10:17 UTC
Looks fine to me, please go ahead! :)
Comment 3 commit-hook freebsd_committer 2019-11-27 19:58:40 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Nov 27 19:58:31 UTC 2019
New revision: 518531
URL: https://svnweb.freebsd.org/changeset/ports/518531

Log:
  lang/php7*: disable DTRACE on powerpc64

  php ports don't build on elfv2 with DTRACE.

  PR:		242113, 242114, 242116
  Approved by:	tz (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D22577
  Differential Revision:	https://reviews.freebsd.org/D22578
  Differential Revision:	https://reviews.freebsd.org/D22579

Changes:
  head/lang/php71/Makefile
  head/lang/php72/Makefile
  head/lang/php73/Makefile